Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface RegistrationResult.IAttestationTrustedStage

All Known Implementing Classes:
  `RegistrationResult.Builder`

Enclosing class:
  RegistrationResult

public static interface RegistrationResult.IAttestationTrustedStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`RegistrationResult.IAttestationTypeStage`
`withAttestationTrusted(boolean attestationTrusted)`
Is the attestation signature valid.

## Method Details

### withAttestationTrusted

RegistrationResult.IAttestationTypeStage withAttestationTrusted(boolean attestationTrusted)
Is the attestation signature valid. Does it link to a trusted root attestation?

Parameters:
  `attestationTrusted` - is the attestation trusted.
Returns:
  this builder